/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __MENU__
#define __MENU__

#ifndef _WIN32
/* The POINT structure */
typedef struct tagPOINT
{
	int  x;
	int  y;
} POINT;

// wrappers for win32 mouse handler functions, defined in opengl/gl_vidlinuxglx.c
void GetCursorPos(POINT *);
void SetCursorPos(int, int);
#endif

typedef struct list_s
{
	char	name[32];
} list_t;

void Menu_Init		(void);
void SCR_DrawMenu	(void);
void Menu_Mouse		(void);
void M_Keydown		(int key);
void M_ToggleMenu_f (void);
int  LoadList		(char *listfile, list_t *list);

#endif //__MENU__

