/*
Copyright (C) 2001-2002 Tomas Jakobsson.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include	"../quakedef.h"

map_t	maps[4];

void LoadRecords (void)
{
	FILE	*recordfile;
	int		i;

	recordfile = fopen("data/records.txt","rb");
	
	if (recordfile)
	{
		Con_Printf("Loaded records\n");

		for (i=1; i<6; i++)
		{
			fscanf (recordfile, "%s", maps[i].lapholder);
			fscanf (recordfile, "%s", maps[i].raceholder);
			fscanf (recordfile, "%f", &maps[i].laprecord);
			fscanf (recordfile, "%f", &maps[i].racerecord);
		}

		fclose (recordfile);
	}
	else
	{
		Con_Printf("Failed to load records\n");

		for (i=1; i<6; i++)
		{
			_snprintf (maps[i].lapholder, sizeof(maps[i].lapholder), "*****");
			_snprintf (maps[i].raceholder, sizeof(maps[i].raceholder), "*****");
			maps[i].laprecord	= 300;
			maps[i].racerecord	= 1500;
		}
	}

	_snprintf (maps[1].name, sizeof(maps[1].name), "mrmap1kz");
	_snprintf (maps[2].name, sizeof(maps[2].name), "mrmap2kz");
	_snprintf (maps[3].name, sizeof(maps[3].name), "mrmap3kz");
	_snprintf (maps[4].name, sizeof(maps[4].name), "mrmap4kz");
	_snprintf (maps[5].name, sizeof(maps[5].name), "mrmap5kz");

	_snprintf (maps[1].description, sizeof(maps[1].description), "Mountain Pass");
	_snprintf (maps[2].description, sizeof(maps[2].description), "By The Sea");
	_snprintf (maps[3].description, sizeof(maps[3].description), "No Name");
	_snprintf (maps[4].description, sizeof(maps[4].description), "No Name");
	_snprintf (maps[5].description, sizeof(maps[5].description), "No Name");
}

void SaveRecords (void)
{
	FILE	*recordfile;
	int		i;

	recordfile = fopen("data/records.txt","w");

	if (recordfile)
	{
		for (i=1; i<6; i++)
		{
			fprintf (recordfile, "%s\n", maps[i].lapholder);
			fprintf (recordfile, "%s\n", maps[i].raceholder);
			fprintf (recordfile, "%f\n", maps[i].laprecord);
			fprintf (recordfile, "%f\n", maps[i].racerecord);
		}

		fprintf (recordfile, "// Record file made by MiniRacer.\n");
		fprintf (recordfile, "// This file can be edited easely.\n");
		fprintf (recordfile, "// But do you really wanna cheat?");
	}
}
