/*
Copyright (C) 2001-2002 Tomas Jakobsson.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include	"../quakedef.h"
#include	"../vid.h"

float	speedoangle;

void GL_SetupSpeedometer (float speed)
{
	speedoangle = (speed * 0.4) - 20;
}

void GL_DrawDashBoard (void)
{
	extern int	speedometer_texture;

	glPushMatrix ();

	glTranslatef (vid.width - 64, vid.height - 32, 0);

	glBindTexture (GL_TEXTURE_2D, speedometer_texture);

	glEnable (GL_BLEND);

	glBegin (GL_QUADS);
		glTexCoord2f (0, 0); glVertex2f (-64,	-64);
		glTexCoord2f (1, 0); glVertex2f (64,	-64);
		glTexCoord2f (1, 1); glVertex2f (64,	32);
		glTexCoord2f (0, 1); glVertex2f (-64,	32);
	glEnd ();

	glDisable (GL_BLEND);

	glRotatef (speedoangle,0,0,1);

	glDisable (GL_TEXTURE_2D);

	glBegin (GL_LINES);
		glVertex2f (0,		0);
		glVertex2f (-48,	0);
	glEnd ();

	glEnable (GL_TEXTURE_2D);

	glPopMatrix ();
}
