/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
// protocol.h -- communications protocols

// if the high bit of the servercmd is set, the low bits are fast update flags:
#define	U_ORIGIN0		(1<<0)
#define	U_ORIGIN1		(1<<1)
#define	U_ORIGIN2		(1<<2)
#define	U_ANGLE0		(1<<3)
#define	U_ANGLE1		(1<<4)
#define	U_ANGLE2		(1<<5)
#define	U_MODEL			(1<<6)
#define U_SIGNAL		(1<<7)

//
// server to client
//
#define	svc_bad					0
#define	svc_nop					1
#define	svc_disconnect			2
#define	svc_setview				3	// [short] entity number
#define	svc_time				4	// [float] server time
#define	svc_print				5	// [string] null terminated string
#define	svc_stufftext			6	// [string] stuffed into client's console buffer, the string should be \n terminated
#define	svc_serverinfo			7	// [long] version, [string] signon string, [string]..[0]model cache
#define	svc_updatename			8	// [byte] [string]
#define	svc_signonnum			9	// [byte]  used for the signon sequence
#define	svc_updatecolors		10	//
#define	svc_updatetime			11	//
#define	svc_countdown			12	//
#define	svc_raceover			13	//
#define	svc_updatelaps			14	//
#define	svc_collision			15	//
#define	svc_spawnbaseline		16	//

//
// client to server
//
#define	clc_bad			0
#define	clc_nop 		1
#define	clc_disconnect	2
#define	clc_move		3
#define	clc_stringcmd	4
