/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

typedef struct cache_user_s
{
	void	*data;
} cache_user_t;

void Memory_Init			(void *buf);

int  Z_FreeMemory			(void);
void Z_DumpHeap				(void);
void Z_Free					(void *ptr);
void *Z_Malloc				(int size);
void *Z_TagMalloc			(int size, int tag);

int	 Hunk_LowMark			(void);
int	 Hunk_HighMark			(void);
void Hunk_Check				(void);
void Hunk_FreeToLowMark		(int mark);
void Hunk_FreeToHighMark	(int mark);
void *Hunk_TempAlloc		(int size);
void *Hunk_Alloc		(int size);
void *Hunk_AllocName		(int size, char *name);
void *Hunk_HighAllocName	(int size, char *name);

void Cache_Report			(void);
void Cache_Free				(cache_user_t *c);
void *Cache_Check			(cache_user_t *c);
void *Cache_Alloc			(cache_user_t *c, int size, char *name);
